GetCommitmentInfo
curl --request GET \
--url https://api.example.com/v1/provider/get_commitment_infoimport requests
url = "https://api.example.com/v1/provider/get_commitment_info"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/provider/get_commitment_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"commitments": [
{
"blockNumber": "<string>",
"commitments": [
{
"txnHashes": [
"<string>"
],
"revertableTxnHashes": [
"<string>"
],
"amount": "<string>",
"blockNumber": "<string>",
"providerAddress": "<string>",
"decayStartTimestamp": "<string>",
"decayEndTimestamp": "<string>",
"dispatchTimestamp": "<string>",
"slashAmount": "<string>",
"status": "<string>",
"details": "<string>",
"payment": "<string>",
"refund": "<string>",
"bidOptions": {
"options": [
{
"positionConstraint": {
"value": 123
}
}
]
}
}
]
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}API Reference
GetCommitmentInfo
GetCommitmentInfo is called by the provider to retrieve the commitment information.
GET
/
v1
/
provider
/
get_commitment_info
GetCommitmentInfo
Query Parameters
Optional block number for which to get the commitment information. If not specified all block numbers are returned in ascending order
Optional page number for pagination. Defaults to 0.
Optional limit for the number of commitments to return per page. Defaults to 100.
Response
A successful response.
Response containing the commitment information.
List of commitments made in the block.
Show child attributes
Show child attributes
⌘I